/*
css- Syntax:

selektor {
    property: value(s);
}

1) TAG Selektors -> body, header, h1, p ...
2) CLASS Selektors -> .active, .important, .class-xyz ...

*/



body {
    margin: 0px;
}

.colorscheme1 header {
    background-image: url(../img/pexels-pixabay-346286.jpg);
}

.colorscheme1 main {
    background-color: #53a3f2;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 4em;
    padding-bottom: 4em;
    padding-right: 5vw;
    padding-left: 5vw;

    border-bottom: 3px solid darkblue;
}

.colorscheme2 header {
    background-image: url(../img/nature-computer-moraine-lake-scenery-calqv1ef3ph7pt9k.jpg);
}

.colorscheme2 main {
    background-color: #7ebef5;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 4em;
    padding-bottom: 4em;
    padding-right: 5vw;
    padding-left: 5vw;

    border-bottom: 3px solid darkblue;
}


.colorscheme3 header {
    background-image: url(../img/Landschaftsfotos-Alpen-20.jpg);
}

.colorscheme3 main {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 4em;
    padding-bottom: 4em;
    padding-right: 5vw;
    padding-left: 5vw;

    border-bottom: 3px solid darkblue;
}

.colorscheme4 header {
    background-image: url(../img/pexels-rfera-2286895.jpg);
}

.colorscheme4 main {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 4em;
    padding-bottom: 4em;
    padding-right: 5vw;
    padding-left: 5vw;

    border-bottom: 3px solid darkblue;
}

.colorscheme5 header {
    background-image: url(../img/dawid-zawila-G3rw6Y02D0-unsplash.jpg);
}

.colorscheme5 main {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 4em;
    padding-bottom: 4em;
    padding-right: 5vw;
    padding-left: 5vw;
    border-bottom: 3px solid darkblue;
}

header {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    padding-top: 4em;
    padding-bottom: 4em;
    padding-right: 5vw;
    padding-left: 5vw;
    background-color: indianred;
    border-bottom: 3px solid darkblue;

}


    {
    margin-top: 0px;


}

h2 {
    text-align: center;
    font-size: 2.5em;
}

h1 {
    font-size: 8vw;
    margin-bottom: 0.5em;
    color: white;
    text-align: center;
    text-shadow: 8px 8px 15px black;
}

nav a:hover {
    background-color: black;
    color: white;

}


}

.active {
    background-color: black;
    color: white;
}




h2 {
    margin-top: 0;
    margin-bottom: 0.5em;
    font-size: 2.5em;
    font-weight: 400;
    text-align: center;


}

main {
    padding-top: 10vh;
    padding-right: 1em;
    padding-left: 1em;
    padding-bottom: 20vh;
    background-color: #b3e0fc;
}



.important {

    border-bottom: solid 2.5px;
    border-top: solid 2.5px;
    font-size: 1.5em;
    margin-left: auto;
    margin-right: auto;
    max-width: 1100px;
    text-align: center;
    padding-left: 4.5em;
    padding-right: 4.5em;
    padding-bottom: 1.5em;
    padding-top: 1.5em;

}



nav a {
    display: inline-block;
    border: 1px solid black;
    text-align: center;
    padding: 0.5em;
    background-color: white;
    text-decoration-line: none;
    transition: 0.3s;

}

a {
    color: black;

}

article {
    max-width: 1100px;
    padding-bottom: 5em;
    padding-top: 2em;
    background-color: white;
    margin-bottom: 15vh;
    margin-left: auto;
    margin-right: auto;
    box-shadow: 1px 1px 15px #575555;

}


figcaption {
    text-align: center;
    background-color: #fafafa;
    padding-bottom: 2em;
    padding-top: 2em;

}

img {
    width: 100%;
    background-color: #fafafa;

}

figure {
    margin-left: 0;
    margin-right: 0;

}


footer {
    background-color: black;
    color: white;
    padding-top 1em;
    padding-bottom: 1em;
    padding-right: 5vw;
    padding-left: 5vw;
}

p {
    padding-left: 2em;
    padding-right: 2em;
    max-width: 75ch;
    margin-left: auto;
    margin-right: auto;
}

ul {
    list-style-type: none;
    max-width: 1100px;
    padding-bottom: 2em;
    padding-top: 2em;
    margin-bottom: 3vw;
}

li {
    padding-left: 2em;
    padding-right: 2em;
    border-top: 1px solid black;
    padding-bottom: 3em;
    padding-top: 1em;
    max-width: 75ch;
    margin-left: auto;
    margin-right: auto;


}

.wwwdesign {
    background-color: #8198d9;
}

.responsivedesign {
    background-color: #5fbf8a;
}

.layout {
    background-color: #50cec1;

}

.code2 {
    font-size: 2em;
    color: deeppink;
}

.container {
    background-color: #cad2d9;
    padding: 1em;
    margin-bottom: 2.5em;
    margin-top: 2.5em;
}

.item {
    background-color: #2a2a2a;
    color: aliceblue;
    padding: 0.5em;
    margin: 0.5em;
    
    
}
